<?php
namespace App\Entities\GaleriaClassificacao;

use App\Utils\Builder;
use App\Utils\Entity;

class GaleriaClassificacaoBuilder implements Builder
{
    protected $id;
    protected $antes;
    protected $depois;
    protected $descricao;

    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    public function setAntes($antes)
    {
        $this->antes = $antes;
        return $this;
    }

    public function setDepois($depois)
    {
        $this->depois = $depois;
        return $this;
    }

    public function setDescricao($descricao)
    {
        $this->descricao = $descricao;
        return $this;
    }



    public function build() : GaleriaClassificacao
    {
        $classificacao = new GaleriaClassificacao();
        if (isset($this->id)) {
            $classificacao->setId($this->id);
        }
        if (isset($this->antes)) {
            $classificacao->setAntes($this->antes);
        }
        if (isset($this->depois)) {
            $classificacao->setDepois($this->depois);
        }
        if (isset($this->depois)) {
            $classificacao->setDescricao($this->descricao);
        }
        return $classificacao;
    }
}